import request from '@/utils/request'

export function getShareId() {
    return request.post({ url: '/share/share' })
}

export function shareClick(data: any) {
    return request.post({ url: '/share/click', data })
}

export function bindInvite(data: any, token: string) {
    return request.post({ url: '/share/invite', data, header: { token } })
}

export function bindRegisterInvite(data: any) {
    return request.post({ url: '/share/register/invite', data })
}

export function getTask() {
    return request.get({ url: '/rewards/task' })
}

export function signClick() {
    return request.post({ url: '/sign/click' })
}
